Loading...
Searching...
No Matches
BALL::VIEW::LogView Class Reference
Visualisation » Modular Widgets

`#include <BALL/VIEW/WIDGETS/logView.h>`

Inheritance diagram for BALL::VIEW::LogView:

## Public Slots

virtual void | showGuestContextMenu (const QPoint &)
bool | eventFilter (QObject *, QEvent *)
| Event filter logstream.
Public Slots inherited from BALL::VIEW::DockWidget
virtual void | dropEvent (QDropEvent *e)
virtual void | dragEnterEvent (QDragEnterEvent *e)
virtual void | showGuestContextMenu (const QPoint &)

## Public Member Functions

| LogView (QWidget *parent=0, const char *name=0)
| LogView (const LogView &view)
virtual | ~LogView ()
virtual void | initializeWidget (MainControl &main_control)
virtual void | finalizeWidget (MainControl &main_control)
void | logString (const String &text)
Public Member Functions inherited from BALL::VIEW::DockWidget
| DockWidget (QWidget *parent, const char *title=0)
| Use this constructor!
virtual | ~DockWidget ()
void | setGuest (QWidget &guest)
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
virtual void | setWidgetVisible (bool state)
| For usage with Python:
QGridLayout * | getGuestLayout ()
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)
virtual bool | isValid () const
Public Member Functions inherited from BALL::LogStreamNotifier
| LogStreamNotifier ()
virtual | ~LogStreamNotifier ()
void | registerAt (LogStream &log_stream, int min_level=LogStreamBuf::MIN_LEVEL, int max_level=LogStreamBuf::MAX_LEVEL)
void | unregister ()

## Protected Member Functions

void | logNotify ()
Protected Member Functions inherited from BALL::VIEW::DockWidget
| DockWidget ()
| DockWidget (const DockWidget &)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)
Protected Attributes inherited from BALL::VIEW::DockWidget
QWidget * | container_
QWidget * | guest_
QGridLayout * | layout_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_
Protected Attributes inherited from BALL::LogStreamNotifier
std::stringstream | stream_
LogStream * | registered_at_

## Detailed Description

LogView class. The class LogView records all messages sent to the Log object and displays them as a text history. The class is derived from LogStreamNotifier that provides the connection to the Log object. The class QTextEdit from the qt - library is responsible for the visualization of the text history. Use the class LogView as a widget. There are no initializations necessary. Just create this widget as a child widget of your application and it will record and show all messages sent to the Log object.

Definition at line 47 of file logView.h.

## Constructor & Destructor Documentation

## LogView() [1/2]

BALL::VIEW::LogView::LogView | ( | QWidget * | parent = 0,
|  | const char * | name = 0 )

Default Constructor. The contructor connects the own stringstream with the Log object. If a string is written into Log this will be notified and the string will be displayed by this logView.

See also
  BALL::LogStream

## LogView() [2/2]

BALL::VIEW::LogView::LogView | ( | const LogView & | view | ) |

Copy constructor. Only for Python Interface The text of view will be copied into this logView.

## ~LogView()

virtual BALL::VIEW::LogView::~LogView | ( |  | ) |

virtual

Destructor. Calls clear.

## Member Function Documentation

## eventFilter

bool BALL::VIEW::LogView::eventFilter | ( | QObject * | ,
|  | QEvent * | )

slot

Event filter logstream.

## finalizeWidget()

virtual void BALL::VIEW::LogView::finalizeWidget | ( | MainControl & | main_control | ) |

virtual

Remove menu entries.

Reimplemented from BALL::VIEW::ModularWidget.

## initializeWidget()

virtual void BALL::VIEW::LogView::initializeWidget | ( | MainControl & | main_control | ) |

virtual

Setup the menu entry in "Edit->Clear Logs".

Reimplemented from BALL::VIEW::DockWidget.

## logNotify()

void BALL::VIEW::LogView::logNotify | ( |  | ) |

protected virtual

Overridden notify call. Will be called by Log whenever a string is written to it. That string will then be displayed.

Parameters

  source | the notification source

Returns
  bool returns always true

Reimplemented from BALL::LogStreamNotifier.

## logString()

void BALL::VIEW::LogView::logString | ( | const String & | text | ) |

## showGuestContextMenu

virtual void BALL::VIEW::LogView::showGuestContextMenu | ( | const QPoint & |  | ) |

virtual slot